Package org.apache.sling.discovery.oak.cluster

## Class InstanceInfo

- java.lang.Object
- - org.apache.sling.discovery.oak.cluster.InstanceInfo

    public class InstanceInfo
    extends Object

Data object containing all infos about a particular Sling instance

### Constructor Summary

Constructors
`InstanceInfo​(int clusterNodeId, String slingId, long syncToken, String leaderElectionId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getClusterNodeId()`
`String` `getLeaderElectionId()`
`String` `getSlingId()`
`boolean` `isSyncTokenNewerOrEqual​(long seqNum)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstanceInfo

    public InstanceInfo​(int clusterNodeId,
                        String slingId,
                        long syncToken,
                        String leaderElectionId)

### Method Detail

#### getLeaderElectionId

    public String getLeaderElectionId()

#### getClusterNodeId

    public int getClusterNodeId()

#### getSlingId

    public String getSlingId()

#### isSyncTokenNewerOrEqual

    public boolean isSyncTokenNewerOrEqual​(long seqNum)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`